Examples

GET /api/job_invocations/221
200
{
  "id": 221,
  "description": null,
  "job_category": "Job name 184",
  "targeting_id": 251,
  "status": 0,
  "start_at": null,
  "status_label": "succeeded",
  "ssh_user": null,
  "time_to_pickup": null,
  "dynflow_task": {
    "id": "a327720e-911d-4a46-ac7d-803503225b4a",
    "state": "stopped"
  },
  "template_id": 1007982073,
  "template_name": "Job template 190",
  "effective_user": "root",
  "succeeded": 0,
  "failed": 0,
  "pending": 0,
  "cancelled": 0,
  "total": "N/A",
  "missing": 0,
  "total_hosts": "N/A",
  "targeting": {
    "bookmark_id": null,
    "search_query": "name = foo",
    "targeting_type": "static_query",
    "user_id": 988725846,
    "randomized_ordering": false,
    "hosts": []
  },
  "task": {
    "id": "a327720e-911d-4a46-ac7d-803503225b4a",
    "state": "stopped"
  },
  "mode": "immediate"
}

Params

Param name Description
location_id
optional

Set the current location context for the request

Validations:

  • Integer

organization_id
optional

Set the current organization context for the request

Validations:

  • Integer

id
required

Validations:

  • string from 2 to 128 characters containing only alphanumeric characters, space, '_', '-' with no leading or trailing space..

host_status
optional

Show Job status for the hosts

Validations:

  • Must be one of: true, false, 1, 0.